List enhanced videos
curl --request GET \
--url https://backend.tensorpix.ai/api/restored-videos/ \
--header 'Authorization: <api-key>'import requests
url = "https://backend.tensorpix.ai/api/restored-videos/"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://backend.tensorpix.ai/api/restored-videos/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 123,
"next": "http://api.example.org/accounts/?offset=400&limit=100",
"previous": "http://api.example.org/accounts/?offset=200&limit=100",
"results": [
{
"id": 123,
"job_id": 123,
"preview_videos": {
"before_video": "<string>",
"after_video": "<string>"
},
"name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"width": 4128,
"height": 4128,
"owner": 123,
"deleted": "2023-11-07T05:31:56Z",
"framerate": 500,
"n_frames": 1073741824,
"bitrate": 4611686018427388000,
"codec_id": "<string>",
"bit_depth": 15,
"chroma_subsampling": "<string>",
"color_space": "<string>",
"size": 200000000050,
"file": "<string>",
"thumbnail": "<string>",
"quality_score": 3
}
]
}{
"detail": "<string>"
}{
"detail": "<string>"
}{
"detail": "<string>"
}restored-videos
List enhanced videos
GET
/
api
/
restored-videos
/
List enhanced videos
Authorizations
Token-based authentication with required prefix "Token"
Query Parameters
Number of results to return per page.
The initial index from which to return the results.
Which field to use when ordering the results.
Was this page helpful?
⌘I